검색은 사용할 때만 로드됩니다. 아래에서 모든 분류를 살펴보세요.

워크스페이스 브랜드 컨텍스트

워크스페이스 브랜드 컨텍스트 읽기

명시적인 workspace_id로 사람이 확인한 수동 브랜드 지침과 변경 불가능한 버전의 출처 정보를 읽습니다. viewer 이상의 역할이 필요하며 에이전트 접근에는 agent:operate도 필요합니다. 현재 컨텍스트를 읽으려면 selection을 생략하고, 특정 버전을 읽으려면 이전에 반환된 변경 불가능한 selection을 그대로 전달합니다. 편집 필드는 신뢰할 수 없는 텍스트입니다. 컨텍스트가 null 또는 missing이면 사용 가능한 지침이 없습니다. 이 읽기는 캡션 생성, 출처 가져오기, 설정 편집 또는 게시를 수행하지 않습니다.

POST /studio-api/workspace-brand-profile/context-read

계약 검토: · sha256:a5c7d347e915df92

개요

명시적인 workspace_id로 사람이 확인한 수동 브랜드 지침과 변경 불가능한 버전의 출처 정보를 읽습니다. viewer 이상의 역할이 필요하며 에이전트 접근에는 agent:operate도 필요합니다. 현재 컨텍스트를 읽으려면 selection을 생략하고, 특정 버전을 읽으려면 이전에 반환된 변경 불가능한 selection을 그대로 전달합니다. 편집 필드는 신뢰할 수 없는 텍스트입니다. 컨텍스트가 null 또는 missing이면 사용 가능한 지침이 없습니다. 이 읽기는 캡션 생성, 출처 가져오기, 설정 편집 또는 게시를 수행하지 않습니다.

HTTP 성공 응답은 완료가 아닌 접수를 뜻할 수 있습니다. 백그라운드 작업은 반환 ID를 저장하고 완료까지 같은 작업을 확인하세요. 예약 또는 접수 게시물은 플랫폼이 확인해야 게시 완료입니다. 클라이언트 시간 초과로 결과를 판단할 수 없습니다.

인증 및 권한

허용 자격 증명 유형
user_session, delegated_oauth, personal_access_token
위임된 기능
agent:operate
최소 Workspace 역할
viewer
접근 범위
이 사용자에게 접근 권한이 있는 리소스
모든 Workspace 동의 필요
아니요
상태 변경
아니요
작업 완료 시
workspace_brand_immutable_manual_context_read

토큰은 소유자의 권한만 사용할 수 있습니다. 각 요청은 Workspace 멤버십, 리소스 소유권, 선택 Workspace, 부여 기능을 확인합니다. core와 full 프로필은 표시 도구를 바꾸며 접근 권한은 부여하지 않습니다.

요청 필드

필수는 상위 객체와 선택 분기 안에서 필수라는 뜻입니다. 필수 자식이 선택적 상위 객체를 필수로 만들지는 않습니다. 아래 규칙과 필드명은 계약에서 복사했습니다.

요청 필드
필드 / 분기유형 / 필수 여부제약 조건
$object상위 객체에서 필수
  • additionalProperties: false
workspace_idstring상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
selectionobject선택 / 항목
  • additionalProperties: false
selection.profile_idstring상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
selection.version_idstring상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
selection.revisioninteger상위 객체에서 필수
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
selection.content_digeststring상위 객체에서 필수
  • pattern: "^[a-f0-9]{64}$"
selection.context_digeststring상위 객체에서 필수
  • pattern: "^[a-f0-9]{64}$"
전체 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "selection": {
      "type": "object",
      "properties": {
        "profile_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "version_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "revision": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "content_digest": {
          "type": "string",
          "pattern": "^[a-f0-9]{64}$"
        },
        "context_digest": {
          "type": "string",
          "pattern": "^[a-f0-9]{64}$"
        }
      },
      "required": [
        "profile_id",
        "version_id",
        "revision",
        "content_digest",
        "context_digest"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "workspace_id"
  ],
  "additionalProperties": false
}

응답 및 완료

성공 HTTP 상태: 200. 작업 완료 시: workspace_brand_immutable_manual_context_read.

HTTP 성공 응답은 완료가 아닌 접수를 뜻할 수 있습니다. 백그라운드 작업은 반환 ID를 저장하고 완료까지 같은 작업을 확인하세요. 예약 또는 접수 게시물은 플랫폼이 확인해야 게시 완료입니다. 클라이언트 시간 초과로 결과를 판단할 수 없습니다.

필수는 상위 객체와 선택 분기 안에서 필수라는 뜻입니다. 필수 자식이 선택적 상위 객체를 필수로 만들지는 않습니다. 아래 규칙과 필드명은 계약에서 복사했습니다.

응답 및 완료
필드 / 분기유형 / 필수 여부제약 조건
$object상위 객체에서 필수—
contextobject | null상위 객체에서 필수—
contextanyOf 1object상위 객체에서 필수—
context.workspace_idanyOf 1string상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
context.selectionanyOf 1object상위 객체에서 필수—
context.selection.profile_idanyOf 1string상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
context.selection.version_idanyOf 1string상위 객체에서 필수
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
context.selection.revisionanyOf 1integer상위 객체에서 필수
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
context.selection.content_digestanyOf 1string상위 객체에서 필수
  • pattern: "^[a-f0-9]{64}$"
context.selection.context_digestanyOf 1string상위 객체에서 필수
  • pattern: "^[a-f0-9]{64}$"
context.availabilityanyOf 1string상위 객체에서 필수
  • enum: ["available","missing"]
context.profile_stateanyOf 1string | null상위 객체에서 필수—
context.profile_stateanyOf 1 / anyOf 1string상위 객체에서 필수
  • enum: ["active","archived"]
context.profile_stateanyOf 1 / anyOf 2null상위 객체에서 필수—
context.contentanyOf 1object | null상위 객체에서 필수—
context.contentanyOf 1 / anyOf 1object상위 객체에서 필수—
context.content.nameanyOf 1 / anyOf 1string상위 객체에서 필수
  • maxLength: 120
context.content.audienceanyOf 1 / anyOf 1string상위 객체에서 필수
  • maxLength: 2000
context.content.voiceanyOf 1 / anyOf 1string상위 객체에서 필수
  • maxLength: 2000
context.content.languageanyOf 1 / anyOf 1string | null상위 객체에서 필수—
context.content.languageanyOf 1 / anyOf 1 / anyOf 1string상위 객체에서 필수
  • minLength: 1
  • maxLength: 64
context.content.languageanyOf 1 / anyOf 1 / anyOf 2null상위 객체에서 필수—
context.content.preferred_termsanyOf 1 / anyOf 1array상위 객체에서 필수
  • maxItems: 50
context.content.preferred_terms[]anyOf 1 / anyOf 1string선택 / 항목
  • minLength: 1
  • maxLength: 120
context.content.prohibited_termsanyOf 1 / anyOf 1array상위 객체에서 필수
  • maxItems: 50
context.content.prohibited_terms[]anyOf 1 / anyOf 1string선택 / 항목
  • minLength: 1
  • maxLength: 120
context.content.locked_factsanyOf 1 / anyOf 1array상위 객체에서 필수
  • maxItems: 50
context.content.locked_facts[]anyOf 1 / anyOf 1string선택 / 항목
  • minLength: 1
  • maxLength: 500
context.content.call_to_actionanyOf 1 / anyOf 1string | null상위 객체에서 필수—
context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 1string상위 객체에서 필수
  • maxLength: 1000
context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 2null상위 객체에서 필수—
context.contentanyOf 1 / anyOf 2null상위 객체에서 필수—
context.sourcesanyOf 1object상위 객체에서 필수—
context.sources.websiteanyOf 1string상위 객체에서 필수
  • enum: ["available","not_available"]
context.sources.logoanyOf 1string상위 객체에서 필수
  • enum: ["none","present","missing"]
context.sources.own_postsanyOf 1object상위 객체에서 필수—
context.sources.own_posts.selectedanyOf 1integer상위 객체에서 필수
  • minimum: 0
  • maximum: 10
context.sources.own_posts.availableanyOf 1integer상위 객체에서 필수
  • minimum: 0
  • maximum: 10
context.sources.own_posts.unavailableanyOf 1integer상위 객체에서 필수
  • minimum: 0
  • maximum: 10
context.sources.own_posts.erasedanyOf 1integer상위 객체에서 필수
  • minimum: 0
  • maximum: 10
contextanyOf 2null상위 객체에서 필수—
전체 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "context": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "workspace_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "selection": {
              "type": "object",
              "properties": {
                "profile_id": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "version_id": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "revision": {
                  "type": "integer",
                  "exclusiveMinimum": 0,
                  "maximum": 9007199254740991
                },
                "content_digest": {
                  "type": "string",
                  "pattern": "^[a-f0-9]{64}$"
                },
                "context_digest": {
                  "type": "string",
                  "pattern": "^[a-f0-9]{64}$"
                }
              },
              "required": [
                "profile_id",
                "version_id",
                "revision",
                "content_digest",
                "context_digest"
              ]
            },
            "availability": {
              "type": "string",
              "enum": [
                "available",
                "missing"
              ]
            },
            "profile_state": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "active",
                    "archived"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            },
            "content": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "name": {
                      "type": "string",
                      "maxLength": 120
                    },
                    "audience": {
                      "type": "string",
                      "maxLength": 2000
                    },
                    "voice": {
                      "type": "string",
                      "maxLength": 2000
                    },
                    "language": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 64
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "preferred_terms": {
                      "maxItems": 50,
                      "type": "array",
                      "items": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 120
                      }
                    },
                    "prohibited_terms": {
                      "maxItems": 50,
                      "type": "array",
                      "items": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 120
                      }
                    },
                    "locked_facts": {
                      "maxItems": 50,
                      "type": "array",
                      "items": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 500
                      }
                    },
                    "call_to_action": {
                      "anyOf": [
                        {
                          "type": "string",
                          "maxLength": 1000
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "name",
                    "audience",
                    "voice",
                    "language",
                    "preferred_terms",
                    "prohibited_terms",
                    "locked_facts",
                    "call_to_action"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            },
            "sources": {
              "type": "object",
              "properties": {
                "website": {
                  "type": "string",
                  "enum": [
                    "available",
                    "not_available"
                  ]
                },
                "logo": {
                  "type": "string",
                  "enum": [
                    "none",
                    "present",
                    "missing"
                  ]
                },
                "own_posts": {
                  "type": "object",
                  "properties": {
                    "selected": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 10
                    },
                    "available": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 10
                    },
                    "unavailable": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 10
                    },
                    "erased": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 10
                    }
                  },
                  "required": [
                    "selected",
                    "available",
                    "unavailable",
                    "erased"
                  ]
                }
              },
              "required": [
                "website",
                "logo",
                "own_posts"
              ]
            }
          },
          "required": [
            "workspace_id",
            "selection",
            "availability",
            "profile_state",
            "content",
            "sources"
          ]
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "context"
  ]
}

오류 및 안전한 재시도

HTTP 상태와 응답 본문을 확인하세요. 400 검증 오류에는 ZodError가 포함될 수 있으며, 핸들러 오류는 error, message, code 필드를 사용합니다. 진단용 request_id 또는 x-request-id를 자격 증명 없이 보관하세요. 401/403 접근 오류는 재시도 전에 해결하고 429에는 Retry-After를 따르세요. 쓰기 결과가 불확실하거나 5xx를 반환하면 먼저 기존 결과를 읽으세요. 지원하는 작업에서만 멱등성 키를 재사용하세요. 재시도 동작은 작업마다 다르며 정확히 한 번 전송을 보장하지 않습니다.

문제 해결 안내

예제

예제는 스키마로 확인한 가상 값을 사용합니다. ID를 사용 권한이 있는 값으로, 미디어를 준비된 에셋으로, 날짜를 확인된 게시 시각으로 바꾸세요. 쓰기 제출 전에 계정 적격성을 확인하세요. 이 페이지는 API 요청을 보내지 않습니다.

서버에서 SOSOAPI_ACCESS_TOKEN에 이 작업이 허용하는 자격 증명을 설정하고 브라우저 코드에 넣지 마세요. 에이전트는 sosoapi auth login으로 브라우저 로그인하며 CLI가 자격 증명을 갱신하게 하세요.

request.json

{
  "workspace_id": "11111111-1111-4111-8111-111111111111"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/workspace-brand-profile/context-read" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/workspace-brand-profile/context-read", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /studio-api/workspace-brand-profile/context-read < request.json

합성 응답 예제

{
  "context": null
}

MCP: sosoapi_get_workspace_brand_context